Bug 189952 - Review Request: metapixel - A Photomosaic Generator
Review Request: metapixel - A Photomosaic Generator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-25 22:17 EDT by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-26 12:02:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2006-04-25 22:17:22 EDT
Spec URL: http://home.bawue.net/~ixs/metapixel/metapixel.spec
SRPM URL: http://home.bawue.net/~ixs/metapixel/metapixel-1.0.1-1.src.rpm
Description:
Metapixel is a program for generating photomosaics. It can generate
classical photomosaics, in which the source image is viewed as a matrix
of equally sized rectangles for each of which a matching image is
substitued, as well as collage-style photomosaics, in which rectangular
parts of the source image at arbitrary positions (i.e. not aligned to a
matrix) are substituted by matching images.
Comment 1 Jason Tibbitts 2006-04-26 00:11:59 EDT
Issues:
The manpage is executable for some reason.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named and is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible and included in the package.
* source files match upstream:
   b0fcb1ad62708478478218190c355fd0  metapixel-1.0.1.tar.gz
   b0fcb1ad62708478478218190c355fd0  metapixel-1.0.1.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock (development, i386 and x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns no (non %doc) directories.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
X file permissions are appropriate.
* %clean is present.
O No test suite, so no %check.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 2 Andreas Thienemann 2006-04-26 07:10:17 EDT
Updated files are at http://home.bawue.net/~ixs/metapixel/
Comment 3 Jason Tibbitts 2006-04-26 11:29:38 EDT
Thanks, looks good.

APPROVED
Comment 4 Andreas Thienemann 2006-04-26 12:02:15 EDT
Thx for the review. -> NEXTRELEASE

Note You need to log in before you can comment on or make changes to this bug.